## gimpcpuaccel

gimpcpuaccel — Functions to query and configure CPU acceleration.

## Functions

GimpCpuAccelFlags | gimp_cpu_accel_get_support ()
void | gimp_cpu_accel_set_use ()

## Types and Values

enum | GimpCpuAccelFlags

## Description

Functions to query and configure CPU acceleration.

## Functions

### gimp_cpu_accel_get_support ()

    GimpCpuAccelFlags
    gimp_cpu_accel_get_support (void);

Query for CPU acceleration support.

#### Returns

GimpCpuAccelFlags as supported by the CPU.

Since: 2.4

### gimp_cpu_accel_set_use ()

    void
    gimp_cpu_accel_set_use (gboolean use);

This function is for internal use only.

#### Parameters

use | whether to use CPU acceleration features or not |

Since: 2.4

## Types and Values

### enum GimpCpuAccelFlags

Types of detectable CPU accelerations

#### Members

GIMP_CPU_ACCEL_NONE | None |
GIMP_CPU_ACCEL_X86_MMX | MMX |
GIMP_CPU_ACCEL_X86_3DNOW | 3dNow |
GIMP_CPU_ACCEL_X86_MMXEXT | MMXEXT |
GIMP_CPU_ACCEL_X86_SSE | SSE |
GIMP_CPU_ACCEL_X86_SSE2 | SSE2 |
GIMP_CPU_ACCEL_X86_SSE3 | SSE3 |
GIMP_CPU_ACCEL_X86_SSSE3 | SSSE3 |
GIMP_CPU_ACCEL_X86_SSE4_1 | SSE4_1 |
GIMP_CPU_ACCEL_X86_SSE4_2 | SSE4_2 |
GIMP_CPU_ACCEL_X86_AVX | AVX |
GIMP_CPU_ACCEL_PPC_ALTIVEC | Altivec |